Subject: Re: bug#31203: 26.1; Fringe and toolbar bitmaps unscaled on Windows 10 HiDPI display

From: Keith Russell <[email-masked]>
Date: Wed, 18 Apr 2018 19:55:33 -0400

Hi Eli,

Unfortunately that only changes the width of the fringe. I had tried it 
before but tried again just to make sure. The bitmap doesn't scale with 
the fringe width. See the attached screen shot. This is with a fringe of 
32 and a font of "10" which translates to 33 pixels on my display. I'm 
not a Windows programmer (more Linux than anything) so I'm not sure if I 
can provide a patch. I will poke around the source and see what I can 
see. Maybe something obvious will pop out.

Thanks,

Keith

On 2018-04-18 2:54, Eli Zaretskii wrote:
>> From: Keith Russell <[email-masked]>
>> Date: Tue, 17 Apr 2018 21:07:34 -0400
>>
>>
>> Running on Windows 10 with a high resolution display (3840 x 2160)
>> the fringe bitmaps and toolbar buttons are so tiny as to be almost
>> indistinguishable from dots. Scrollbars and menus are fine and the
>> fonts look stunning. If I set the compatibility option to "override
>> application" and let the system scale then it's the right size but
>> fuzzy. I couldn't find anything in the bug reports. The only
>> thing I found in the Changelog was the change to make Emacs
>> DPI aware on Windows but that was back in 2015.
> The fringe bitmaps have fixed width specified in pixels.  I understand
> you are saying that the number of pixels is correct, but its visual
> appearance leaves a lot to be desired, is that right?  If so, you can
> customize your fringes using this:
>
>    (setq fringe-mode '(16 . 16))
>
> (replace 16 with a number that is to your liking, I'm just guessing
> there).
>
> We could also apply the scaling automatically, patches welcome.